Skip to main content
GET
/
v1
/
twitter
/
users
/
{user_id}
/
articles
Get user articles
curl --request GET \
  --url https://scrapebadger.com/v1/twitter/users/{user_id}/articles \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "text": "<string>",
      "cover_image_url": "<string>",
      "author_id": "<string>",
      "author_username": "<string>",
      "author_name": "<string>",
      "created_at": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.

Path Parameters

user_id
string
required

The unique numeric ID of the user.

Example:

"44196397"

Query Parameters

cursor
string

Pagination cursor for fetching the next page of results.

Response

Successfully retrieved articles.

Paginated list of articles.

data
object[] | null

Array of article objects.

next_cursor
string | null

Cursor for fetching the next page. Null if no more results.